Package Details: abricotine 0.6.0-2

Git Clone URL: https://aur.archlinux.org/abricotine.git (read-only)
Package Base: abricotine
Description: A markdown editor with inline preview
Upstream URL: http://abricotine.brrd.fr
Licenses: GPL3
Submitter: heddson
Maintainer: heddson
Last Packager: heddson
Votes: 12
Popularity: 0.123692
First Submitted: 2016-02-24 09:47
Last Updated: 2018-05-16 05:14

Dependencies (3)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

heddson commented on 2016-04-14 08:20

z3ntu: I compaired your installed pkgs with mine. We have a lot of different pkgs and I couldn't figure out if we have some missing dependencies.. You should try and see if you're able to install from source (without the PKGBUILD), just like j1simon did.

j1simon: Great that you opened an issue! Hopefully we'll see we're missing a dependency or maybe if it's a permission issue.

j1simon commented on 2016-04-13 13:03

The problem occurs too when I try to install the git version from sources. I have opened a issue: https://github.com/brrd/Abricotine/issues/63

j1simon commented on 2016-04-13 12:24

Same problem:
.....
> Abricotine@0.3.2 postinstall /home/juan/bin/nodejs/lib/node_modules/Abricotine
> electron-rebuild && bower install

sh: electron-rebuild: command not found
npm ERR! Linux 4.4.7-1-ck
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install"
npm ERR! node v5.10.1
npm ERR! npm v3.8.6
npm ERR! file sh
npm ERR! code ELIFECYCLE
npm ERR! errno ENOENT
npm ERR! syscall spawn

npm ERR! Abricotine@0.3.2 postinstall: `electron-rebuild && bower install`
npm ERR! spawn ENOENT
npm ERR!
npm ERR! Failed at the Abricotine@0.3.2 postinstall script 'electron-rebuild && bower install'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the Abricotine package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! electron-rebuild && bower install
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs Abricotine
npm ERR! Or if that isn't available, you can get their info via:
npm ERR! npm owner ls Abricotine
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /tmp/makepkg/abricotine/src/Abricotine-0.3.2/npm-debug.log
==> ERROR: A failure occurred in build().
Aborting...

z3ntu commented on 2016-04-07 13:39

Actually this error happens on both my server and on my laptop. I have bower installed only on my laptop (not on my server) and there is no command "electron" on either.
If you are interested in more info:
pacman -Q: http://pastebin.com/8P2HTXhN
another build log after removing pkg/, src/, etc: http://pastebin.com/r80dWZYS

heddson commented on 2016-04-07 13:29

I tried different scenarios (like building for different architectures and so on..) but I'm still unable to get your error.

Maybe it could be something with permissions? but I'm just guessing..

Another thing maybe worth noting is that I neither have bower or electron installed on my system. Do you have any of them installed? Maybe they conflict in some way, since npm installs them locally in the build dir..

I'm building on x64 with regular kernel.

z3ntu commented on 2016-04-07 12:38

@heddson Anything new?

z3ntu commented on 2016-04-05 06:04

With --verbose: https://gist.github.com/z3ntu/9f052b61f89d86471793e86de3784f0a . I can also add the npm-debug.log file, but there doesn't seem to be any other information.

heddson commented on 2016-04-04 21:03

I'm unable to recreate your error.. Maybe you could add '--verbose' to the npm commands in the PKGBUILD. I got the following output when adding it: http://pastebin.com/BgB0MijN

Which architecture are you building on? Are you using your custom build script? If you are, do you get the same error when you're building it 'locally'?

heddson commented on 2016-04-04 09:31

Hmm yeah maybe it's bower, or perhaps electron.. I'll test it when I get home. Thanks for error message.

z3ntu commented on 2016-04-04 09:12

I get the following error while building: https://gist.github.com/z3ntu/11204018e9329141a16b36744841436b